import os
import shutil

# Ищет в каталоге /var/data самый большой по объёму файл и перекладывает его в /var/result/data.txt.
print("start worker_1")
dir_data = "/var/data"
dir_res = "/var/result"

if not os.path.exists(dir_data):
    os.mkdir(dir_data)

if not os.path.exists(dir_res):
    os.mkdir(dir_res)

largest_file = None
largest_size = 0

for root, dirs, files in os.walk(dir_data):
    for file in files:
        file_path = os.path.join(root, file)
        file_size = os.path.getsize(file_path)
        if file_size > largest_size:
            largest_size = file_size
            largest_file = file_path

if largest_file:
    shutil.copyfile(largest_file, dir_res + "/data.txt")
